Subject: Re: bug#21700: new snapshot available: grep-2.21.78-7da30

From: Norihiro Tanaka <[email-masked]>
Date: Thu, 22 Oct 2015 08:41:59 +0900

On Wed, 21 Oct 2015 13:09:14 -0700
Gary Johnson <[email-masked]> wrote:

> I also built the snapshot successfully on a Fedora 17 system that I
> use for real work.  I just ran a performance test, FWIW.  I searched
> recursively in our source hierarchy of 6044 regular files and 1102
> directories for a simple string.
> 
>     time grep -Rin mystring src > /dev/null
> 
> Here are the results, averaged over three trials each, not including
> any slow times clearly due to updating caches.
> 
>             2.12    2.21    2.21.78-7da30
>             -----   -----   -----
>     real    18.0s   1.08s   2.36s
>     user    17.8s   0.96s   2.24s
>     sys     0.12s   0.11s   0.10s
> 
> Version 2.12 was /bin/grep.  The other two versions I built myself.
> 
> Regards,
> Gary

If they are measured for first scan, could you retry second or later
scans, i.e. all input files is on memory?  I think physical read time
for disk should be eliminated.

Thanks,
Norihiro